Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 208977 - @Arg does not get processed on its own
@Arg does not get processed on its own
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Launchers&CLI
7.2
PC Windows 7
: P3 with 1 vote (vote)
: 7.2
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 21:42 UTC by mienamoo
Modified: 2012-04-19 06:04 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mienamoo 2012-02-28 21:42:05 UTC
NetBeans dev build 201202280400

I was playing around with the new @Arg annotation in my own module. And I noticed that the generated layer file containing the registration is not created at compile time, unless I have something else (like a TopComponent) for which the file is created anyway.
Comment 1 Jiri Rechtacek 2012-03-28 14:11:20 UTC
Jardo, is it yours?
Comment 2 Jaroslav Tulach 2012-03-29 22:25:25 UTC
Add FileSystem API as a (compile time) dependency for now. Otherwise the system throws (and swallows following exception):

Caused by: java.lang.ClassNotFoundException: org.openide.filesystems.annotations.LayerGeneratingProcessor
	at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
	... 53 more
java.lang.NoClassDefFoundError: org/netbeans/modules/sendopts/OptionAnnotationProcessorImpl
	at org.netbeans.modules.sendopts.OptionAnnotationProcessor.delegate(OptionAnnotationProcessor.java:120)
	at org.netbeans.modules.sendopts.OptionAnnotationProcessor.getSupportedSourceVersion(OptionAnnotationProcessor.java:86)
	at com.sun.tools.javac.processing.JavacProcessingEnvironment$ProcessorState.checkSourceVersionCompatibility(JavacProcessingEnvironment.java:369)
	at com.sun.tools.javac.processing.JavacProcessingEnvironment$ProcessorState.<init>(JavacProcessingEnvironment.java:342)
	at com.sun.tools.javac.processing.JavacProcessingEnvironment$DiscoveredProcessors$ProcessorStateIterator.next(JavacProcessingEnvironment.java:436)
	at com.sun.tools.javac.processing.JavacProcessingEnvironment.discoverAndRunProcs(JavacProcessingEnvironment.java:541)
	at com.sun.tools.javac.processing.JavacProcessingEnvironment.doProcessing(JavacProcessingEnvironment.java:699)
	at com.sun.tools.javac.main.JavaCompiler.processAnnotations(JavaCompiler.java:981)
	at com.sun.tools.javac.main.JavaCompiler.compile(JavaCompiler.java:727)
Comment 3 Quality Engineering 2012-04-04 10:08:54 UTC
Integrated into 'main-golden', will be available in build *201204040400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/02af232addd0
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #208977: Print note if LayerBasedAnnotationProcessor cannot be found
Comment 4 mienamoo 2012-04-11 06:12:05 UTC
Thanks, the message that is printed is useful. :)
Comment 5 Jaroslav Tulach 2012-04-18 14:52:12 UTC
OK, let's call it fixed, then.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo